<script>
    import { tasks } from "../stores";
    export let inBtn;
    export let taskId;

    function deleteTask() {
        tasks.update(e => e.filter((e, i) => i != taskId));
    }
</script>

<button class="btn" on:click={deleteTask}>{inBtn}</button>

<style>
    .btn {
        margin: 5px;
        right: 30px;
    }
</style>